Skip to main content
`Ctrl`+`K`

# TaoADMMUpdateType

Determine the spectral penalty update routine for the Lagrange augmented term for `TAOADMM`.

## Synopsis

    typedef enum {
      TAO_ADMM_UPDATE_BASIC,
      TAO_ADMM_UPDATE_ADAPTIVE,
      TAO_ADMM_UPDATE_ADAPTIVE_RELAXED
    } TaoADMMUpdateType;

## See Also

TAO: Optimization Solvers, `Tao`, `TAOADMM`, `TaoADMMSetUpdateType()`

## Level

advanced

## Location

include/petsctao.h

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages